Loading...
Searching...
No Matches
freecontact::ali_t Class Reference

Protein sequence alignment. More...

`#include <freecontact.h>`

Inheritance diagram for freecontact::ali_t:

## Public Member Functions

| ali_t (const uint16_t __alilen=0)
virtual | ~ali_t ()
uint8_t & | operator() (uint32_t __k, uint16_t __ai)
const uint8_t & | operator() (uint32_t __k, uint16_t __ai) const
ali_t & | push (const std::vector< uint8_t > &__al)
| Push a sequence to the alignment.
ali_t & | push (const std::string &__l)
| Push a sequence to the alignment.

## Static Public Member Functions

static std::vector< uint8_t > | read_a_seq (const std::string &__l)
| Convert alignment string to amino acid codes with aamap.

## Public Attributes

uint32_t | seqcnt
uint16_t | alilen
uint16_t | alilen16
uint16_t | alilenpad

## Detailed Description

Protein sequence alignment.

Definition at line 69 of file freecontact.h.

## Constructor & Destructor Documentation

## ali_t()

freecontact::ali_t::ali_t | ( | const uint16_t | __alilen = 0 | ) |

inline

Definition at line 80 of file freecontact.h.

## ~ali_t()

virtual freecontact::ali_t::~ali_t | ( |  | ) |

inline virtual

Definition at line 84 of file freecontact.h.

## Member Function Documentation

## operator()() [1/2]

uint8_t & freecontact::ali_t::operator() | ( | uint32_t | __k,
|  | uint16_t | __ai )

inline

Definition at line 86 of file freecontact.h.

## operator()() [2/2]

const uint8_t & freecontact::ali_t::operator() | ( | uint32_t | __k,
|  | uint16_t | __ai ) const

inline

Definition at line 90 of file freecontact.h.

## push() [1/2]

ali_t & freecontact::ali_t::push | ( | const std::string & | __l | ) |

inline

Push a sequence to the alignment.

Definition at line 116 of file freecontact.h.

## push() [2/2]

ali_t & freecontact::ali_t::push | ( | const std::vector< uint8_t > & | __al | ) |

Push a sequence to the alignment.

Definition at line 1001 of file freecontact.cpp.

## read_a_seq()

std::vector< uint8_t > freecontact::ali_t::read_a_seq | ( | const std::string & | __l | ) |

inline static

Convert alignment string to amino acid codes with aamap.

Definition at line 97 of file freecontact.h.

## Member Data Documentation

## alilen

uint16_t freecontact::ali_t::alilen

Definition at line 76 of file freecontact.h.

## alilen16

uint16_t freecontact::ali_t::alilen16

Definition at line 77 of file freecontact.h.

## alilenpad

uint16_t freecontact::ali_t::alilenpad

Definition at line 78 of file freecontact.h.

## seqcnt

uint32_t freecontact::ali_t::seqcnt

Definition at line 75 of file freecontact.h.

The documentation for this class was generated from the following files:

- freecontact.h
- freecontact.cpp